public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Johannes Huber" <johu@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/phonon/
Date: Fri, 27 Apr 2018 17:59:36 +0000 (UTC)	[thread overview]
Message-ID: <1524851965.8f38ff113ec30cd422751a41fe4108bdba353ba7.johu@gentoo> (raw)

commit:     8f38ff113ec30cd422751a41fe4108bdba353ba7
Author:     Johannes Huber <johu <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 27 17:57:13 2018 +0000
Commit:     Johannes Huber <johu <AT> gentoo <DOT> org>
CommitDate: Fri Apr 27 17:59:25 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8f38ff11

media-libs/phonon: Version bump 4.10.1

Package-Manager: Portage-2.3.31, Repoman-2.3.9

 media-libs/phonon/Manifest             |  1 +
 media-libs/phonon/phonon-4.10.1.ebuild | 55 ++++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/media-libs/phonon/Manifest b/media-libs/phonon/Manifest
index 7dc4f336430..9731ecbd2fb 100644
--- a/media-libs/phonon/Manifest
+++ b/media-libs/phonon/Manifest
@@ -1,2 +1,3 @@
 DIST phonon-4.10.0.tar.xz 322072 BLAKE2B ba49893368fc13946e2e83a498787bf8fe605b2b3d8e2b1c28eacad5ec13d9679b8c9ddd2adc54c340bbc60a01c7c1143ccaca6f26b86be105cb7502de5f39fc SHA512 6074c7c33edcdfeed8a6199024f1faedebe09652cf5d01075f2d97146b54c4269924b69ca8298e2341c0cf6ca4d18f930a59a937697f6f282b6de8e976d097c4
+DIST phonon-4.10.1.tar.xz 322100 BLAKE2B 0040bcc82e68a52cb8056c29b5008daddfd8b985f95113e17f1c18d1b5bf1f81222a34ae45b2ee5bd3bc0f104614551638642a85e1770fc218cbe7e2209b5a0e SHA512 a1cc0960c587d09a2fb0f43ae82147df133c34cba7bf01f5720b4b27aca4dda1d83444e89e40fb2f25828d152f89ccfff56d2d4649007c57b7df9eca8c64c007
 DIST phonon-4.9.1.tar.xz 321872 BLAKE2B a315189f578ad71e241ebfbea1bc6c81f06cf041b2eb2914d66f82f35c69c3811d16dbf4303551aafdd1a63d6ff6da619b06a6f03274a9867393f6d032348673 SHA512 a1741765071a625d9b9073d9ad1571b91cf5bfce2223bd1b034828d02dc52624587a6ec5352f3702df79f6e4201007596843fbcb9f15c9b489a858200787d728

diff --git a/media-libs/phonon/phonon-4.10.1.ebuild b/media-libs/phonon/phonon-4.10.1.ebuild
new file mode 100644
index 00000000000..537dd677f72
--- /dev/null
+++ b/media-libs/phonon/phonon-4.10.1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+if [[ ${PV} != *9999* ]]; then
+	SRC_URI="mirror://kde/stable/phonon/${PV}/${P}.tar.xz"
+	KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+else
+	EGIT_REPO_URI=( "git://anongit.kde.org/${PN}" )
+	inherit git-r3
+fi
+
+inherit cmake-utils qmake-utils
+
+DESCRIPTION="KDE multimedia API"
+HOMEPAGE="https://phonon.kde.org/"
+
+LICENSE="|| ( LGPL-2.1 LGPL-3 )"
+SLOT="0"
+IUSE="debug designer gstreamer pulseaudio +vlc"
+
+RDEPEND="
+	!!dev-qt/qtphonon:4
+	dev-qt/qtcore:5
+	dev-qt/qtdbus:5
+	dev-qt/qtgui:5
+	dev-qt/qtwidgets:5
+	designer? ( dev-qt/designer:5 )
+	pulseaudio? (
+		dev-libs/glib:2
+		>=media-sound/pulseaudio-0.9.21[glib]
+	)
+"
+DEPEND="${RDEPEND}
+	kde-frameworks/extra-cmake-modules:5
+	virtual/pkgconfig
+"
+PDEPEND="
+	gstreamer? ( >=media-libs/phonon-gstreamer-4.9.0[qt5(+)] )
+	vlc? ( >=media-libs/phonon-vlc-0.9.0[qt5(+)] )
+"
+
+src_configure() {
+	local mycmakeargs=(
+		-DPHONON_BUILD_PHONON4QT5=ON
+		-DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT=TRUE
+		-DPHONON_BUILD_DESIGNER_PLUGIN=$(usex designer)
+		-DCMAKE_DISABLE_FIND_PACKAGE_Qt5Declarative=ON
+		-DWITH_GLIB2=$(usex pulseaudio)
+		-DWITH_PulseAudio=$(usex pulseaudio)
+		-DQT_QMAKE_EXECUTABLE="$(qt5_get_bindir)"/qmake
+	)
+	cmake-utils_src_configure
+}


             reply	other threads:[~2018-04-27 17:59 UTC|newest]

Thread overview: 70+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-04-27 17:59 Johannes Huber [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-26  3:39 [gentoo-commits] repo/gentoo:master commit in: media-libs/phonon/ Arthur Zamarin
2024-07-22 18:37 Arthur Zamarin
2024-07-01 20:47 Andreas Sturmlechner
2024-06-28 15:56 Sam James
2024-06-28 15:45 Sam James
2024-06-28 15:45 Sam James
2024-06-28 13:34 Andreas Sturmlechner
2024-04-25 20:43 Andreas Sturmlechner
2024-03-03 16:37 Andreas Sturmlechner
2024-02-02 12:44 Arthur Zamarin
2022-07-14 20:32 Andreas Sturmlechner
2019-12-03  5:04 Andreas Sturmlechner
2019-12-02 23:29 Aaron Bauman
2019-12-02 16:33 Mikle Kolyada
2019-12-02 16:12 Mikle Kolyada
2019-11-22 13:08 Andreas Sturmlechner
2019-11-22 13:08 Andreas Sturmlechner
2019-11-13 21:25 Andreas Sturmlechner
2019-09-26 13:58 Andreas Sturmlechner
2019-09-26 13:58 Andreas Sturmlechner
2019-08-27 19:59 Andreas Sturmlechner
2019-08-27 19:59 Andreas Sturmlechner
2019-08-27 19:59 Andreas Sturmlechner
2019-08-25  8:10 Andreas Sturmlechner
2019-08-22 14:16 Andreas Sturmlechner
2019-08-22 14:16 Andreas Sturmlechner
2019-08-08 22:00 Andreas Sturmlechner
2019-08-08 21:50 Andreas Sturmlechner
2019-07-20  7:43 Andreas Sturmlechner
2019-01-16 12:01 Andreas Sturmlechner
2019-01-15 22:10 Thomas Deutschmann
2019-01-14 14:33 Mikle Kolyada
2019-01-09 18:46 Andreas Sturmlechner
2018-05-25 23:58 Thomas Deutschmann
2018-05-24 14:31 Agostino Sarubbo
2018-04-27 23:05 Andreas Sturmlechner
2018-03-13 19:51 Michał Górny
2018-02-24  9:48 Andreas Sturmlechner
2018-02-24  9:48 Andreas Sturmlechner
2017-12-19 14:41 Andreas Sturmlechner
2017-12-19  0:20 Andreas Sturmlechner
2017-12-19  0:20 Andreas Sturmlechner
2017-08-31 20:54 Andreas Sturmlechner
2017-08-26 19:19 Andreas Sturmlechner
2017-07-30 20:46 Andreas Sturmlechner
2017-06-24  9:11 Markus Meier
2017-06-23 11:44 Alexis Ballier
2017-06-13 12:31 Agostino Sarubbo
2017-06-04 10:42 Agostino Sarubbo
2017-06-03  7:54 Agostino Sarubbo
2017-06-02  0:38 Andreas Sturmlechner
2017-06-02  0:38 Andreas Sturmlechner
2017-01-24 17:15 Johannes Huber
2017-01-03 19:10 Johannes Huber
2016-12-29 16:23 Johannes Huber
2016-11-13 19:18 Markus Meier
2016-10-13  9:47 Agostino Sarubbo
2016-10-02  8:11 Jeroen Roovers
2016-09-27  9:09 Tobias Klausmann
2016-07-22 17:40 Michael Palimaka
2016-07-13 18:13 Michael Palimaka
2016-07-13 17:25 Michael Palimaka
2016-07-11  7:57 Johannes Huber
2016-05-31 17:21 Johannes Huber
2016-04-24 12:26 Johannes Huber
2016-04-21 17:15 Michael Palimaka
2016-04-21 17:15 Michael Palimaka
2016-04-21 17:15 Michael Palimaka
2016-04-21 17:15 Michael Palimaka

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1524851965.8f38ff113ec30cd422751a41fe4108bdba353ba7.johu@gentoo \
    --to=johu@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox